#
# spec file for package gnome2-user-docs (Version 2.8.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel arts arts-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib dbus-1-qt3 dbus-1-qt3-devel desktop-translations diffutils docbook_4 e2fsprogs esound esound-devel expat fam fam-devel file filesystem fillup findutils flac flex fontconfig fontconfig-devel freeglut freeglut-devel freetype2 freetype2-devel gawk gcc gcc-c++ gconf2 gconf2-devel gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-filesystem gnome-icon-theme gnome-keyring gnome-keyring-devel gnome-vfs2 gnome-vfs2-devel gnutls gnutls-devel gpm grep groff gtk2 gtk2-devel gzip hal hal-devel info insserv jack jack-devel kdelibs3 kdelibs3-arts kdelibs3-devel kdelibs3-doc klogd less libacl libacl-devel libart_lgpl libart_lgpl-devel libattr libattr-devel libbonobo libbonobo-devel libbonoboui libbonoboui-devel libcom_err libdrm libdrm-devel libgcc libgcrypt libgcrypt-devel libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeprint libgnomeprint-devel libgnomeprintui libgnomeprintui-devel libgnomesu libgnomeui libgnomeui-devel libgpg-error libgpg-error-devel libidn libidn-devel libjpeg libjpeg-devel liblcms liblcms-devel libmng libmng-devel libnscd libogg libogg-devel libpng libpng-devel libstdc++ libstdc++-devel libtiff libtiff-devel libtool libusb libvorbis libvorbis-devel libwnck libwnck-devel libxcrypt libxml2 libxml2-devel libxslt libxslt-devel libzio m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl openssl-devel orbit2 orbit2-devel pam pam-modules pango pango-devel patch pcre pcre-devel perl permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils python qt3 qt3-devel rcs readline resmgr rpm scrollkeeper sed sgml-skel shared-mime-info strace sysvinit tar tcpd texinfo timezone unsermake unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           gnome2-user-docs
BuildRequires:  docbook_4 gnutls-devel kdelibs3-devel libglade2-devel libgnomeprintui-devel libgnomeui-devel libwnck-devel mDNSResponder-devel scrollkeeper
URL:            http://www.gnome.org
%define prefix /opt/gnome
License:        GPL
Group:          Documentation/Other
Autoreqprov:    on
Version:        2.8.1
Release:        21.2
Summary:        GNOME 2.x Desktop Documentation
Source:         gnome2-user-docs-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArchitectures: noarch

%description
This package contains documents that are targeted for GNOME end-users.



%debug_package
%prep
%setup -q -n gnome2-user-docs-%{version}

%build
./configure --prefix=/opt/gnome
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT 
for xml in $RPM_BUILD_ROOT%{prefix}/share/gnome/help/*/*/*.xml; do
    if echo $xml | egrep 'share/gnome/help/([^/]*)/[^/]*/\1\.xml$' > /dev/null; then
	meinproc --cache `echo $xml | sed 's/xml$/cache.bz2/'` $xml || :
    fi
done

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%{prefix}/share/omf/*
%{prefix}/share/gnome/help/*

%changelog -n gnome2-user-docs
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Sep 29 2005 - dmueller@suse.de
- add norootforbuild
* Mon Jan 24 2005 - gekker@suse.de
- Update to version 2.8.1
* Tue Aug 31 2004 - clahey@suse.de
- Don't --check because some of the docs don't validate.
* Thu Aug 26 2004 - clahey@suse.de
- Cache gnome2-user-docs.
* Fri May 07 2004 - hhetter@suse.de
- updated to version 2.6.0.1 [GNOME2.6]
* Mon Oct 27 2003 - sbrabec@suse.cz
- Updated to version 2.4.1.
* Thu Oct 09 2003 - sbrabec@suse.cz
- Updated to version 2.4.0 (GNOME 2.4).
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Mon Jun 30 2003 - sbrabec@suse.cz
- Updated to version 2.0.6.
* Mon Jun 30 2003 - ro@suse.de
- added gnome-filesystem to neededforbuild
* Fri Feb 07 2003 - hhetter@suse.de
- initial package
